| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::TrackerSampler Class Reference
Tracking API » Tracking API implementation details

Class that manages the sampler in order to select regions for the update the model of the tracker [AAM] Sampling e Labeling. See table I and section III B. More...

`#include <opencv2/video/detail/tracking.detail.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerSampler:

## Public Member Functions
| TrackerSampler ()
| ~TrackerSampler ()
bool | addTrackerSamplerAlgorithm (const Ptr< TrackerSamplerAlgorithm > &sampler)
| Add TrackerSamplerAlgorithm in the collection. Return true if sampler is added, false otherwise.
const std::vector< Ptr< TrackerSamplerAlgorithm > > & | getSamplers () const
| Return the collection of the TrackerSamplerAlgorithm.
const std::vector< Mat > & | getSamples () const
| Return the samples from all TrackerSamplerAlgorithm, [233] Fig. 1 variable Sk.
void | sampling (const Mat &image, Rect boundingBox)
| Computes the regions starting from a position in an image.

## Detailed Description

Class that manages the sampler in order to select regions for the update the model of the tracker [AAM] Sampling e Labeling. See table I and section III B.

Class that manages the sampler in order to select regions for the update the model of the tracker

[233] Sampling e Labeling. See table I and section III B

TrackerSampler is an aggregation of TrackerSamplerAlgorithm

See also
  TrackerSamplerAlgorithm

## Constructor & Destructor Documentation

## ◆ TrackerSampler()

cv::detail::tracking::TrackerSampler::TrackerSampler | ( |  | ) |

## ◆ ~TrackerSampler()

cv::detail::tracking::TrackerSampler::~TrackerSampler | ( |  | ) |

## Member Function Documentation

## ◆ addTrackerSamplerAlgorithm()

bool cv::detail::tracking::TrackerSampler::addTrackerSamplerAlgorithm | ( | const Ptr< TrackerSamplerAlgorithm > & | sampler | ) |

Add TrackerSamplerAlgorithm in the collection. Return true if sampler is added, false otherwise.

Parameters

  sampler | The TrackerSamplerAlgorithm

## ◆ getSamplers()

const std::vector< Ptr< TrackerSamplerAlgorithm > > & cv::detail::tracking::TrackerSampler::getSamplers | ( |  | ) | const

Return the collection of the TrackerSamplerAlgorithm.

## ◆ getSamples()

const std::vector< Mat > & cv::detail::tracking::TrackerSampler::getSamples | ( |  | ) | const

Return the samples from all TrackerSamplerAlgorithm, [233] Fig. 1 variable Sk.

## ◆ sampling()

void cv::detail::tracking::TrackerSampler::sampling | ( | const Mat & | image,
|  | Rect | boundingBox )

Computes the regions starting from a position in an image.

Parameters

  image | The current frame
  boundingBox | The bounding box from which regions can be calculated

The documentation for this class was generated from the following file:

- opencv2/video/detail/tracking.detail.hpp